#include "group.hpp"

#include "io.hpp"

void ExtractNeighbors(
	const Mesh& mesh,
	int vid,
	std::vector<int>& vertex_indices,
	double dis_thres)
{
	vertex_indices.clear();
}

void ExtractGroups(
	const Mesh& mesh,
	std::vector<std::vector<int> >& vertex_groups,
	std::vector<Eigen::Vector2i>& group_pairs,
	double dis_thres) {
	// placeholder: segment the vertices into three groups
	auto& V = mesh.V;
	vertex_groups.resize(3);
	int num_vertices = V.rows() / 3 + 1;
	for (auto& v : vertex_groups) {
		v.reserve(num_vertices);
	}
	for (int i = 0; i < V.rows(); ++i) {
		vertex_groups[i / num_vertices].push_back(i);
	}
}